Bug 480858 - ip address lookup fails (for setting up /etc/hosts)
ip address lookup fails (for setting up /etc/hosts)
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-20 17:37 EST by Jesse Keating
Modified: 2013-01-09 22:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-31 13:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2009-01-20 17:37:36 EST
The socket call to look up various info about a device is failing.  This leads to not writing a correct entry to /etc/hosts for the hostname/IP combination.
Comment 1 Jesse Keating 2009-01-20 18:04:21 EST
I've got myself into a debugging mode, and it seems that I can't do any lookups via the stocket module, any kind of lookup results in:

[Errno -3] Temporary failure in name resolution

Even from something simple as:
socket.getaddrinfo('reducio.j2sol', None).  reducio.j2sol being the install server, which I can ping by name from another tty.  Something in socket land isn't happy and hasn't noticed the new resolvers to use.  What's strange is that this doesn't seem to hamper later network lookups to get the repodata and such.
Comment 2 Jesse Keating 2009-01-20 23:16:14 EST
Patch thrown at upstream.  glibc is dumb, news at 11.
Comment 3 David Cantrell 2009-02-20 22:03:21 EST
(In reply to comment #2)
> Patch thrown at upstream.  glibc is dumb, news at 11.

So is this not an anaconda problem?
Comment 4 Jesse Keating 2009-03-31 13:10:50 EDT
I can't seem to reproduce this anymore, I don't recall exactly what state I was in.  Closing for now.

Note You need to log in before you can comment on or make changes to this bug.